package com.sv.mapper;

import com.sv.annotation.NoPlatform;
import com.sv.entity.Platform;

import java.util.List;

/**
 * Mapper - 平台信息表
 *
 * @author lihong
 * @since 2018-08-02
 */
public interface PlatformMapper {

    /**
     * 新建平台信息表
     *
     * @param platform 平台信息表
     */
    void insert(Platform platform);

    /**
     * 更新平台信息表
     *
     * @param platform 平台信息表
     */
    void update(Platform platform);

    /**
     * 删除平台信息表
     *
     * @param id 编号
     * @return 删除数量
     */
    int delete(Integer id);

    /**
     * 删除平台信息表
     *
     * @param ids 编号数组
     * @return 删除数量
     */
    int deleteByIds(Integer[] ids);

    /**
     * 查询平台信息表
     *
     * @return 平台信息表
     */
    @NoPlatform
    Platform findById(Integer id);

    /**
     * 查询平台信息表
     *
     * @return 平台信息表集合
     */
    List<Platform> findAll();

}